diff --git a/tests/hazmat/primitives/test_aead.py b/tests/hazmat/primitives/test_aead.py
index a1f99ab81..2f0d52d82 100644
--- a/tests/hazmat/primitives/test_aead.py
+++ b/tests/hazmat/primitives/test_aead.py
@@ -56,7 +56,8 @@ def test_chacha20poly1305_unsupported_on_older_openssl(backend):
 )
 class TestChaCha20Poly1305:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = ChaCha20Poly1305.generate_key()
@@ -197,7 +198,8 @@ class TestChaCha20Poly1305:
 )
 class TestAESCCM:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = AESCCM.generate_key(128)
@@ -378,7 +380,8 @@ def _load_gcm_vectors():
 
 class TestAESGCM:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = AESGCM.generate_key(128)
@@ -525,7 +528,8 @@ def test_aesocb3_unsupported_on_older_openssl(backend):
 )
 class TestAESOCB3:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = AESOCB3.generate_key(128)
@@ -700,7 +704,8 @@ class TestAESOCB3:
 )
 class TestAESSIV:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = AESSIV.generate_key(256)
@@ -844,7 +849,8 @@ class TestAESSIV:
 )
 class TestAESGCMSIV:
     @pytest.mark.skipif(
-        sys.platform not in {"linux", "darwin"}, reason="mmap required"
+        sys.platform not in {"linux", "darwin"} or sys.maxsize < 2**31,
+        reason="mmap and 64-bit platform required",
     )
     def test_data_too_large(self):
         key = AESGCMSIV.generate_key(256)
